io.milvus.orm.iterator

## Class QueryIterator

- java.lang.Object
- - io.milvus.orm.iterator.QueryIterator

-     public class QueryIterator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryIterator(QueryIteratorParam queryIteratorParam, io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, FieldType primaryField)`
    `QueryIterator(QueryIteratorReq queryIteratorReq, io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateCollectionReq.FieldSchema primaryField)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.util.List<QueryResultsWrapper.RowRecord>` | `next()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryIterator

          public QueryIterator(QueryIteratorParam queryIteratorParam,
                               io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                               FieldType primaryField)

    - #### QueryIterator

          public QueryIterator(QueryIteratorReq queryIteratorReq,
                               io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                               CreateCollectionReq.FieldSchema primaryField)

  - ### Method Detail

    - #### next

          public java.util.List<QueryResultsWrapper.RowRecord> next()

    - #### close

          public void close()